API ReferencePublisher Agents

Check and save an external connection

POST
/v1/publisher/agents/{agent_id}/connection

Authorization

bearerAuth
AuthorizationBearer <token>

Send a SimpleServe API key as Authorization: Bearer <key>.

In: header

Path Parameters

agent_id*string

Publisher-owned agent ID.

Match^agent_[A-Za-z0-9]+$

Header Parameters

If-Match*string

ETag from the latest draft response.

Match^(?:W/)?"draft-[1-9][0-9]*"$

Request Body

application/json

TypeScript Definitions

Use the request body type in TypeScript.

Response Body

application/json

application/json

application/json

application/json

application/json

application/json

application/json

application/json

curl -X POST "https://example.com/v1/publisher/agents/string/connection" \  -H "If-Match: "draft-12"" \  -H "Content-Type: application/json" \  -d '{    "agent_card_url": "stringst",    "retry_safety": "deduplicated"  }'
{  "external": null,  "data_policy": null,  "name": "string",  "description": "string",  "instructions": "",  "tools": [    "string"  ],  "plugins": [    {      "plugin_id": "string",      "version": "string"    }  ],  "compatible_plugins": [    {      "plugin_id": "string",      "version": "string"    }  ],  "pricing": null,  "icon_file_id": null,  "categories": [    "string"  ],  "example_prompts": [    "string"  ],  "test_status": null,  "agent_id": "string",  "object": "agent.draft",  "revision": 1,  "managed_runtime_pricing": {    "minimum_cost_usd": 0,    "maximum_cost_usd": 0,    "rates": [      {        "meter": "model_input_tokens",        "price_usd": 0      }    ]  },  "validation": {    "private_ready": true,    "public_ready": true,    "errors": [      {        "path": "string",        "message": "string",        "blocks": "private"      }    ]  },  "updated_at": "2019-08-24T14:15:22Z"}